# VectorNav C++ Library: vn::sensors::DeltaThetaAndDeltaVelocityRegister Struct Reference

vn::sensors::DeltaThetaAndDeltaVelocityRegister Struct Reference
Register Structures

Structure representing the Delta Theta and Delta Velocity register. More...

`#include <registers.h>`

## Public Member Functions

| DeltaThetaAndDeltaVelocityRegister (float deltaTimeIn, vn::math::vec3f deltaThetaIn, vn::math::vec3f deltaVelocityIn)
| Creates an initializes a new DeltaThetaAndDeltaVelocityRegister structure. More...

## Public Attributes

float | deltaTime
| The deltaTime field.
vn::math::vec3f | deltaTheta
| The deltaTheta field.
vn::math::vec3f | deltaVelocity
| The deltaVelocity field.

## Detailed Description

Structure representing the Delta Theta and Delta Velocity register.

## Constructor & Destructor Documentation

vn::sensors::DeltaThetaAndDeltaVelocityRegister::DeltaThetaAndDeltaVelocityRegister | ( | float | deltaTimeIn,
|  | vn::math::vec3f | deltaThetaIn,
|  | vn::math::vec3f | deltaVelocityIn
| ) |  |

inline

Creates an initializes a new DeltaThetaAndDeltaVelocityRegister structure.

Parameters

  [in] | deltaTimeIn | Value to initialize the deltaTime field with.
  [in] | deltaThetaIn | Value to initialize the deltaTheta field with.
  [in] | deltaVelocityIn | Value to initialize the deltaVelocity field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h